%define oname wings
%define erlangdir %{_libdir}/erlang
%define wingsdir %{erlangdir}/lib/%{oname}-%{version}
%define esdldir %{erlangdir}/addons/esdl-1.0.1
%define esdl_ver 1.0.1

Summary: 	A 3D subdivision modeler
Name: 		wings3d
Version: 	1.4.1
Release: 	%mkrel 4
License: 	BSD-like
Group: 		Graphics/3D
Url: 		http://www.wings3d.com
Source0: 	http://prdownloads.sourceforge.net/wings/%{oname}-%{version}.tar.bz2
Source1:   	%{name}.png
Source2:	%{name}_manual1.6.1.pdf
Source3:	wingspov-0.98.28_v1.tgz
BuildRequires:	erlang-compiler
BuildRequires:	erlang-esdl-devel >= %{esdl_ver}
BuildRequires:	erlang-xmerl
BuildRequires:	imagemagick
BuildRequires:	libjpeg-devel
Requires:	erlang-esdl >= %{esdl_ver}

%description
Wings 3D is a free and open source polygon mesh subdivision 
modeller inspired by Nendo and Mirai from Izware, all using 
the winged edge data structure.Wings 3D is ideally suited for 
modeling and texturing low to medium density polygon meshes. 
It has a wide range of very effective tools optimised for these 
tasks hidden behind its 'minimalistic' interface.

%package povray
Summary:	Povray import/export plug-in for Wings 3D
Group:		Graphics/3D
Requires:	%{name} = %{version}-%{release}
Suggests:	povray

%description povray
Povray import/export plug-in for Wings 3D.

%prep
%setup -qn %{oname}-%{version}

tar xf %{SOURCE3}

%build
export CFLAGS="%{optflags}"
export PATH=%{erlangdir}/bin:$PATH
export ESDL_PATH=%{esdldir}

%make -j4

%install
install -d -m 755 %{buildroot}/%{wingsdir}
cat %{SOURCE2} > ./%{name}_manual1.6.1.pdf

# remove unneeded files
rm -rf src/*.erl

# install files, also those missing
mv -f ebin %{buildroot}/%{wingsdir}
mv -f fonts_src/*.beam %{buildroot}/%{wingsdir}/ebin/
mv -f icons/*.beam %{buildroot}/%{wingsdir}/ebin/
mv -f intl_tools/*.beam %{buildroot}/%{wingsdir}/ebin/
mv -f fonts %{buildroot}/%{wingsdir}
mv -f plugins %{buildroot}/%{wingsdir}
mv -f plugins_src/commands/*.lang %{buildroot}/%{wingsdir}/plugins/commands/
mv -f plugins_src/import_export/*.lang %{buildroot}/%{wingsdir}/plugins/import_export/
mv -f plugins_src/primitives/*.lang %{buildroot}/%{wingsdir}/plugins/primitives/
mv -f plugins_src/*.lang %{buildroot}/%{wingsdir}/plugins/
mv -f src %{buildroot}/%{wingsdir}
mv -f vsn.mk %{buildroot}/%{wingsdir}

# executable script
install -d -m 755 %{buildroot}/%{_bindir}

cat > %{buildroot}/%{_bindir}/%{name} << "EOF"
#!/bin/sh
export ESDL_PATH=%{esdldir}
erl -pa $ESDL_PATH/ebin %{wingsdir}/ebin -noinput -smp disable -run wings_start start_halt "$@"
EOF

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{32x32,128x128,256x256}/apps
install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert %{SOURCE1} -size 128x128 %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert %{SOURCE1} -size 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Wings 3D
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;3DGraphics;
EOF

%files
%doc AUTHORS license.terms README
%doc *.pdf NOTES-*
%attr(755,root,root) %{_bindir}/*
%{wingsdir}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop
%exclude %{wingsdir}/plugins/import_export/kayos_utils.beam
%exclude %{wingsdir}/plugins/import_export/pov_exp.beam
%exclude %{wingsdir}/plugins/import_export/pov_ui.beam
%exclude %{wingsdir}/plugins/import_export/wpc_pov.beam

%files povray
%defattr(644,root,root,755)
%{wingsdir}/plugins/import_export/kayos_utils.beam
%{wingsdir}/plugins/import_export/pov_exp.beam
%{wingsdir}/plugins/import_export/pov_ui.beam
%{wingsdir}/plugins/import_export/wpc_pov.beam


%changelog

* Sat Apr 13 2013 tmb <tmb> 1.4.1-4.mga3
+ Revision: 409916
- only suggest povray as core package is not allowed to require nonfree package

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 385713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dams <dams> 1.4.1-2.mga3
+ Revision: 327866
- update %%group
- update icon for better rendering
- clean specfile

* Thu Jul 07 2011 dams <dams> 1.4.1-1.mga2
+ Revision: 119804
- update to 1.4.1
- remove patch
- change icon

* Wed May 04 2011 ennael <ennael> 1.2-2.mga1
+ Revision: 94732
- clean spec file
- imported package wings3d

